Package org.springframework.web.context

# Interface ConfigurableWebEnvironment

All Superinterfaces:
  `org.springframework.core.env.ConfigurableEnvironment`, `org.springframework.core.env.ConfigurablePropertyResolver`, `org.springframework.core.env.Environment`, `org.springframework.core.env.PropertyResolver`

All Known Implementing Classes:
  `StandardServletEnvironment`

public interface ConfigurableWebEnvironment extends org.springframework.core.env.ConfigurableEnvironment
Specialization of `ConfigurableEnvironment` allowing initialization of servlet-related `PropertySource` objects at the earliest moment that the `ServletContext` and (optionally) `ServletConfig` become available.

Since:
  3.1.2
Author:
  Chris Beams
See Also:
  - `EnvironmentCapable.getEnvironment()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initPropertySources(ServletContext servletContext, ServletConfig servletConfig)`
Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

### Methods inherited from interface org.springframework.core.env.ConfigurableEnvironment

`addActiveProfile, getPropertySources, getSystemEnvironment, getSystemProperties, merge, setActiveProfiles, setDefaultProfiles`

### Methods inherited from interface org.springframework.core.env.ConfigurablePropertyResolver

`getConversionService, setConversionService, setEscapeCharacter, setIgnoreUnresolvableNestedPlaceholders, setPlaceholderPrefix, setPlaceholderSuffix, setRequiredProperties, setValueSeparator, validateRequiredProperties`

### Methods inherited from interface org.springframework.core.env.Environment

`acceptsProfiles, acceptsProfiles, getActiveProfiles, getDefaultProfiles, matchesProfiles`

### Methods inherited from interface org.springframework.core.env.PropertyResolver

`containsProperty, getProperty, getProperty, getProperty, getProperty, getRequiredProperty, getRequiredProperty, resolvePlaceholders, resolveRequiredPlaceholders`

## Method Details

### initPropertySources

void initPropertySources(@Nullable ServletContext servletContext, @Nullable ServletConfig servletConfig)
Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

Parameters:
  `servletContext` - the `ServletContext` (`null` if not available)
  `servletConfig` - the `ServletConfig` (`null` if not available)
See Also:
  - `WebApplicationContextUtils.initServletPropertySources(org.springframework.core.env.MutablePropertySources, ServletContext, ServletConfig)`